n=int(input())
b=int(input())
c=int(input())
d=int(input())
e=int(input())
t=0
for i in range(n):
    if b>c:
        t=t+1
        if b>d:
            t=t+1
            if b>e:
                t=t+1
    elif c>d:
        t=t+1
        if c>e:
            t=t+1
    elif d>e:
        t=t+1
print(t)